# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_de5llazeq6/clone/recipe, last modified Mon Feb 13 17:43:26 2023
# ------------------------------------------------

package:
  name: ipython
  version: 8.9.0
source:
  sha256: 71618e82e6d59487bea059626e7c79fb4a5b760d1510d02fab1160db6fdfa1f7
  url: https://pypi.io/packages/source/i/ipython/ipython-8.9.0.tar.gz
build:
  entry_points:
    - ipython = IPython:start_ipython
    - ipython3 = IPython:start_ipython
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_de5llazeq6/croot/ipython_1676331824435/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv --no-deps
  script_env:
    - COV_THRESHOLD=73
    - IPYTHON_TESTING_TIMEOUT_SCALE=10
    - MIGRATING=False
  string: py39hca03da5_0
requirements:
  host:
    - ca-certificates 2023.01.10 hca03da5_0
    - certifi 2022.12.7 py39hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.2 hca03da5_6
    - ncurses 6.4 h313beb8_0
    - openssl 1.1.1s h1a28f6b_0
    - pip 22.3.1 py39hca03da5_0
    - python 3.9.16 hc0d8a6c_0
    - readline 8.2 h1a28f6b_0
    - setuptools 65.6.3 py39hca03da5_0
    - sqlite 3.40.1 h7a7dc30_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h80987f9_1
    - zlib 1.2.13 h5a0b063_0
  run:
    - appnope
    - backcall
    - decorator
    - jedi >=0.16
    - matplotlib-inline
    - pexpect >4.3
    - pickleshare
    - prompt-toolkit >3.0.30,<3.1.0
    - pygments >=2.4.0
    - python >=3.9,<3.10.0a0
    - stack_data
    - traitlets >=5
test:
  commands:
    - pip check
    - pygmentize -L | grep ipython
    - ipython -h
    - ipython3 -h
  requires:
    - black
    - curio
    - matplotlib-base !=3.2.0
    - nbformat
    - numpy >=1.20
    - pandas
    - pip
    - pygments
    - pytest <7.1
    - pytest-asyncio
    - pytest-cov
    - testpath
    - trio
about:
  description: 'IPython provides a rich architecture for interactive computing with

    a powerful interactive shell, a kernel for Jupyter, high performance

    tools for parallel computing, and more.

    '
  dev_url: https://github.com/ipython/ipython
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'IPython: Productive Interactive Computing'
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: de1f820a-afb1-462f-9eb0-751b75054076
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - ellisonbg
    - fperez
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
  remote_url: git@github.com:AnacondaRecipes/ipython-feedstock.git
  sha: 3bb712442e79f87b7d3439edb6a2c56f517a1a97
